$.cookie.json = true;


function setCookieCache(path, data, success_cb, error_cb) {
    try {
		// if (path=='users_datos.json'){
	    	$.cookie(path, data, { expires: 7 });
			var d = new Date();
			var timenow = d.getTime();
	    	$.cookie('t_' + path, {t: timenow}, { expires: 7 });
	        success_cb();
	    // } else {
	    	// error_cb();
	    // }
    } catch(err) {
        error_cb();
    }
}

function getCookieCache(path, success_cb, error_cb) {
    try {
    	var _val = $.cookie(path);
    	var _t = $.cookie('t_' + path);
		var d = new Date();
		var timenow = d.getTime();
    	if (_val!=undefined && _t!=undefined && timenow-_t.t<=cache_expiration){
        	success_cb(_val);
        } else {
        	error_cb();
        }
    } catch(err) {
        error_cb();
    }
}

function deleteCookieCache(path, success_cb, error_cb) {
    try {
        $.removeCookie(path);
        success_cb();
    } catch(err) {
        error_cb();
    }
}