	function initialize_map() {

		var centro_mapa;
		if (usuario_position != null && usuario_position != undefined){
			centro_mapa = new google.maps.LatLng(usuario_position.lat(), usuario_position.lng());
		}else{
			centro_mapa = new google.maps.LatLng(43.544163, -5.663415);
		}

		var mapOptions = {
			center: centro_mapa,
			zoom: 9,
			mapTypeId: google.maps.MapTypeId.ROADMAP
		};
		
		var map = new google.maps.Map(document.getElementById("map-canvas"), mapOptions);
		n = users.tiendas_list.length;

		var markers = [];

		for (i=0; i<n; i++) {
			item = users.tiendas_list[i].tienda;
			var myLatlng = new google.maps.LatLng(item.latitud,item.longitud);
		    var infowindow = new google.maps.InfoWindow();

			var contenidoMarcador = '<div class="info-recurso-tienda">' +
									'<div class="direccion">' + item.direccion + '</div>' +
									'<div class="cp">' + item.cp + '</div>' +
									'<div class="localidad">' + item.localidad + '</div>' +
									'<div class="telefono">Tlf: <a href="tel:' + item.telefono + '">' + item.telefono + '</a></div>' +
									'<div class="correo">Email: <a href="mailto:' + item.correo + '">' + item.correo + '</a></div>' +
									'</div>';

			var i_marker = new google.maps.Marker({
				position: myLatlng,
				map: map,
				draggable: false,
				icon: "img/pin-supermercado.png",
				title: item.direccion,
				html: contenidoMarcador
			});

			google.maps.event.addListener(i_marker, 'mousedown', function() {
    			infowindow.setContent(this.html);
    			infowindow.open(map, this);
			});

			markers.push(i_marker.getPosition());
		}

		if (usuario_position != null && usuario_position != undefined){
			marker_usuario = new google.maps.Marker({
				position: centro_mapa,
				map: map,
				title: "Tu posición",
				type: "point",
				draggable: false,
				icon: "img/pin-usuario.png"
			});
		}
		
		// try {
			map.setCenter(centro_mapa);
	 //    } catch(err) {
	 //        error_cb();
	 //    }

	}