var memcache={};



function setMemoryCache(path, data, success_cb, error_cb) {
    try {
    	memcache[path] = data;
		var d = new Date();
		var timenow = d.getTime();
    	memcache['t_' + path] = timenow;
        success_cb();
    } catch(err) {
        error_cb();
    }
}

function getMemoryCache(path, success_cb, error_cb) {
    try {
    	var _val = memcache[path];
    	var _t = memcache['t_' + path];
    	var d = new Date();
		var timenow = d.getTime();

    	if (_val!=undefined && _t!=undefined && timenow-_t<=cache_expiration){
        	success_cb(_val);
        } else {
			memcache[path] = undefined;
			memcache['t_' + path] = undefined;
        	error_cb();
        }
    } catch(err) {
        error_cb();
    }
}

function deleteMemoryCache(path, success_cb, error_cb) {
    try {
    	memcache[path] = undefined;
        success_cb();
    } catch(err) {
        error_cb();
    }
}